=== debian/changelog ===
android-platform-build (1:6.0.1+r16-4) unstable; urgency=medium

  * d/rules: Split build targets of indep and arch (Closes: #826855)

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 14 Jun 2016 00:21:08 +0800

android-platform-build (1:6.0.1+r16-3) unstable; urgency=medium

  * Team upload.

  [ Kai-Chung Yan ]
  * Remove unofficial architectures: mips64, armeb, arm
  * New package: android-logtags-tools
  * Standards-Version => 3.9.8
  * d/rules:
    - export DEB_BUILD_MAINT_OPTIONS = hardening=+all
    - Let dh_shlibdeps search multiarch android directory

 -- Markus Koschany <apo@debian.org>  Tue, 07 Jun 2016 12:41:21 +0200

android-platform-build (1:6.0.1+r16-2) unstable; urgency=medium

  * d/rules: BUILD_TOOLS_VERSION => 23.0.2
  * Add support of multi-arch

 -- Kai-Chung Yan <seamlikok@gmail.com>  Sat, 26 Mar 2016 00:39:11 +0800

android-platform-build (1:6.0.1+r16-1) unstable; urgency=medium

  * New upstream release
  * d/rules: Do not execute build commands on other architectures
  * android-platform-build-headers.install: Add core/version_defaults.mk
  * d/control: Limit zipalign BD to [amd64 i386]

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 12 Feb 2016 15:05:23 +0800

android-platform-build (1:6.0.0+r26-1) unstable; urgency=medium

  * Upload without any build profiles
    - Restore <!stage1> sections in d/control
    - Remove DEB_BUILD_PROFILES in d/rules
  * d/control:
    - Standards-Version => 3.9.7
    - zipalign: Architectures limit to amd64 & i386

 -- Kai-Chung Yan <seamlikok@gmail.com>  Mon, 08 Feb 2016 19:52:51 +0800

android-platform-build (1:6.0.0+r26-1~stage1.1) unstable; urgency=medium

  * upload to unstable

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 07 Feb 2016 22:01:12 +0100

android-platform-build (1:6.0.0+r26-1~stage1) experimental; urgency=low

  * New upstream release
  * stage1 upload
    - Remove <!stage1> sections in d/control
    - export DEB_BUILD_PROFILES = stage1 in d/rules
  * Change version scheme to follow Android release tags
  * d/control:
    - Add myself to Uploaders
    - Add (build-)depends on zopfli (>= 1.0.1-3)
    - Update zipalign package description
    - Add build-depends on dh-exec
  * Remove unused package android-libhost(-dev)
  * Rename android-globalconfig-dev to android-platform-build-headers
  * Make android-platform-build-headers for stage1
  * Makefiles independent from Quilt
  * d/zipalign.links: Install symlink to Android SDK home
  * New fix_zopfli_usage.diff: zopfli is written in C but zipalign is in C++
  * New fix_zipalign_typo.diff: Fix a typo in zipalign's output messages
  * Install tools/zipalign/README.txt as docs

 -- Kai-Chung Yan <seamlikok@gmail.com>  Fri, 13 Nov 2015 13:04:53 +0800

android-platform-build (21-4) unstable; urgency=low

  * include Breaks: and Replaces: to allow for proper upgrading

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 25 Nov 2014 12:53:11 +0100

android-platform-build (21-3) unstable; urgency=low

  * add versions to shlibs so dh can do dep detection
  * link libhost with $(CXX) since it includes a .cpp file
  * Standards-Version: 3.9.6

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 18 Nov 2014 15:15:37 +0100

android-platform-build (21-2) unstable; urgency=low

  * include pseudolocalize in libhost

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 01 Oct 2014 12:57:27 -0400

android-platform-build (21-1) unstable; urgency=low

  * Initial release. (Closes: #747926)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 15 Jul 2014 17:06:00 -0400
