=== debian/control ===
Source: android-platform-build
Section: devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Kai-Chung Yan <seamlikok@gmail.com>,
           Hans-Christoph Steiner <hans@eds.org>
Build-Depends: android-libandroidfw-dev (>= 6.0.1+r16~) [amd64 i386] <!stage1>,
               android-liblog-dev (>= 1:6.0.0+r26~) [amd64 i386] <!stage1>,
               android-libutils-dev (>= 1:6.0.0+r26~) [amd64 i386] <!stage1>,
               debhelper (>= 9.20141010),
               dh-exec,
               dpkg-dev (>= 1.17.14),
               libzopfli-dev (>= 1.0.1-3) [amd64 i386] <!stage1>,
               zlib1g-dev [amd64 i386] <!stage1>
Build-Depends-Indep: pandoc
Standards-Version: 3.9.8
Homepage: https://android.googlesource.com/platform/build
Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-build.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/android-platform-build.git

Package: android-platform-build-headers
Section: libdevel
Architecture: amd64 i386 arm64 armel armhf mips mipsel mips64el
Depends: ${misc:Depends}
Description: Shared headers and makefiles in AOSP repository platform/build
 This package contains the following:
 .
 * AndroidConfig.h for x86, MIPS and ARM
 * version_defaults.mk for referencing API Level

Package: zipalign
Architecture: amd64 i386
Build-Profiles: <!stage1>
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Zip archive alignment tool
 zipalign is an archive alignment tool that provides important optimization to
 Android application (.apk) files. The purpose is to ensure that all
 uncompressed data starts with a particular alignment relative to the start of
 the file.

Package: android-logtags-tools
Architecture: all
Depends: python, ${misc:Depends}
Description: Tools from AOSP that process event-log-tags files
 This package contains Python scripts from AOSP repository platform/build that
 process event-log-tags (.logtags) files. It contains:
   * java-event-log-tags
   * merge-event-log-tags
 They are used in the process of building the Android platform framework
 "android.jar".
