=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include debian/detect_arch.mk

export DEB_HOST_ARCH_CPU
export DEB_HOST_MULTIARCH
UPSTREAM_TAG = android-$(subst +,_,$(DEB_VERSION_UPSTREAM))
# See sdk/build_tools_source.prop_template in platform/development
export BUILD_TOOLS_VERSION = 23.0.2
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
  ifneq ($(filter amd64 i386,$(DEB_HOST_ARCH_CPU)),)
    BUILD_COMMANDS = make -f debian/zipalign.mk
    CLEAN_COMMANDS = make clean -f debian/zipalign.mk
  endif
endif

debian/java-event-log-tags.1:
	pandoc -s -o debian/java-event-log-tags.1 debian/java-event-log-tags.1.md

debian/merge-event-log-tags.1:
	pandoc -s -o debian/merge-event-log-tags.1 debian/merge-event-log-tags.1.md

%:
	dh $@

override_dh_auto_build-arch:
	$(BUILD_COMMANDS)

override_dh_auto_build-indep: debian/java-event-log-tags.1 debian/merge-event-log-tags.1

override_dh_auto_clean:
	$(CLEAN_COMMANDS)
	dh_auto_clean
	$(RM) debian/java-event-log-tags.1 debian/merge-event-log-tags.1

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/android -l/usr/lib/$(DEB_HOST_MULTIARCH)/android

get-orig-source: $(UPSTREAM_TAG).tar.gz
	mk-origtargz --repack --compression xz $<

$(UPSTREAM_TAG).tar.gz:
	wget https://android.googlesource.com/platform/build/+archive/$(UPSTREAM_TAG).tar.gz
