## android-platform-build 6.0.1+r55

=== debian/changelog ===
android-platform-build (1:6.0.1+r55-2) unstable; urgency=medium

  * include `ziptime` from git via a patch

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 02 Sep 2016 21:18:34 +0200

android-platform-build (1:6.0.1+r55-1) unstable; urgency=medium

  * upload final stage

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 02 Sep 2016 14:48:02 +0200

android-platform-build (1:6.0.1+r55-1~stage1.1) unstable; urgency=medium

  [ Chirayu Desai ]
  * d/control: Move pandoc to B-D

  [ Kai-Chung Yan (殷啟聰) ]
  * d/rules: Let d/zipalign.1 only generated on specific architectures
  * d/rules: get-orig-source makes use of d/watch

 -- Chirayu Desai <chirayudesai1@gmail.com>  Fri, 02 Sep 2016 14:22:09 +0200

android-platform-build (1:6.0.1+r55-1~stage1) unstable; urgency=medium

  [ Chirayu Desai ]
  * New upstream release.
  * debian: Add watch file for usage with uscan
  * debian/watch: recompress using xz
  * Don't install core/version_defaults.mk
  * Define NDEBUG for c/cpp files

  [ Kai-Chung Yan ]
  * d/detect_arch.mk: Use DEB_HOST_ARCH instead of DEB_HOST_ARCH_CPU to detect
    architectures. This fixes FTBFS on ARM architectures.
  * d/rules: No longer export DEB_BUILD_MAINT_OPTIONS = hardening=+all as
    bindnow and pie will be default in Stretch

  [ Hans-Christoph Steiner ]
  * stage1 upload: export DEB_BUILD_PROFILES = stage1 in debian/rules

 -- Kai-Chung Yan <seamlikok@gmail.com>  Wed, 24 Aug 2016 18:55:08 +0800
