=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
 Uploaders: Kai-Chung Yan <seamlikok@gmail.com>,
-           Hans-Christoph Steiner <hans@eds.org>
-Build-Depends: android-libandroidfw-dev (>= 6.0.1+r16~) [amd64 i386] <!stage1>,
-               android-liblog-dev (>= 1:6.0.0+r26~) [amd64 i386] <!stage1>,
-               android-libutils-dev (>= 1:6.0.0+r26~) [amd64 i386] <!stage1>,
-               debhelper (>= 9.20141010),
+           Hans-Christoph Steiner <hans@eds.org>,
+           Chirayu Desai <chirayudesai1@gmail.com>
+Build-Depends: debhelper (>= 9.20141010),
                dh-exec,
                dpkg-dev (>= 1.17.14),
-               libzopfli-dev (>= 1.0.1-3) [amd64 i386] <!stage1>,
-               zlib1g-dev [amd64 i386] <!stage1>
-Build-Depends-Indep: pandoc
+               android-libandroidfw-dev (>= 1:6.0.1+r55~) [amd64 i386],
+               android-liblog-dev (>= 1:6.0.1+r55~) [amd64 i386],
+               android-libutils-dev (>= 1:6.0.1+r55~) [amd64 i386],
+               libzopfli-dev (>= 1.0.1-3) [amd64 i386],
+               zlib1g-dev [amd64 i386],
+               pandoc
 Standards-Version: 3.9.8
 Homepage: https://android.googlesource.com/platform/build
 Vcs-Git: https://anonscm.debian.org/git/android-tools/android-platform-build.git
@@ -26,17 +27,26 @@
  This package contains the following:
  .
  * AndroidConfig.h for x86, MIPS and ARM
- * version_defaults.mk for referencing API Level
 
 Package: zipalign
 Architecture: amd64 i386
-Build-Profiles: <!stage1>
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Zip archive alignment tool
  zipalign is an archive alignment tool that provides important optimization to
  Android application (.apk) files. The purpose is to ensure that all
  uncompressed data starts with a particular alignment relative to the start of
  the file.
+
+Package: ziptime
+Architecture: amd64 i386
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Zip archive timestamp remover
+ ziptime normalizes the timestamps in the header of a Zip file.  It
+ was created as part of the Android SDK to help make reproducible
+ builds of Android application (.apk) files. It replaces all
+ timestamps in the Zip headers with a static time (Jan 1 2008). The
+ extra fields are not changed, so you'll need to use the -X option to
+ zip so that it doesn't create the 'universal time' extra.
 
 Package: android-logtags-tools
 Architecture: all
