=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk
include debian/detect_arch.mk

export DEB_HOST_ARCH_CPU
export DEB_HOST_MULTIARCH
UPSTREAM_TAG = android-$(subst +,_,$(DEB_VERSION_UPSTREAM))
# See sdk/build_tools_source.prop_template in platform/development
export BUILD_TOOLS_VERSION = 23.0.2
export DEB_CFLAGS_MAINT_APPEND = -DNDEBUG
export DEB_CXXFLAGS_MAINT_APPEND = -DNDEBUG

ifneq ($(filter amd64 i386,$(DEB_HOST_ARCH)),)
  ARCH_COMPONENTS = zipalign debian/zipalign.1 ziptime debian/ziptime.1
endif

debian/java-event-log-tags.1:
	pandoc -s -o $@ debian/java-event-log-tags.1.md

debian/merge-event-log-tags.1:
	pandoc -s -o $@ debian/merge-event-log-tags.1.md

zipalign:
	make -f debian/zipalign.mk

debian/zipalign.1:
	pandoc -s -o $@ debian/zipalign.1.md

ziptime:
	make -f debian/ziptime.mk

debian/ziptime.1:
	pandoc -s -o $@ debian/ziptime.1.md

%:
	dh $@

override_dh_auto_build-arch: $(ARCH_COMPONENTS)

override_dh_auto_build-indep: debian/java-event-log-tags.1 debian/merge-event-log-tags.1

override_dh_auto_clean:
	dh_auto_clean
	$(RM) debian/*.1
	make clean -f debian/zipalign.mk
	make clean -f debian/ziptime.mk

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/android -l/usr/lib/$(DEB_HOST_MULTIARCH)/android

get-orig-source: $(UPSTREAM_TAG).tar.gz
	uscan --download-current-version --force-download
