## android-platform-build 7.0.0+r1

=== debian/changelog ===
android-platform-build (1:7.0.0+r1-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: Unify the maintainer name to "Android Tools Maintainers"

 -- Kai-Chung Yan <seamlikok@gmail.com>  Thu, 08 Dec 2016 22:15:32 +0800

android-platform-build (1:7.0.0+r1-1) experimental; urgency=medium

  * New upstream release
  * No longer provide `AndroidConfig.h`: Dropped by upstream
  * Enable builds for ARM & MIPS
  * Set the dynamic `BUILD_TOOLS_VERSION` to `debian`
  * Drop include_ziptime.patch: ziptime is included upstream
  * Update to debhelper 10

 -- Kai-Chung Yan <seamlikok@gmail.com>  Tue, 11 Oct 2016 21:22:09 +0800

android-platform-build (1:6.0.1+r55-3) unstable; urgency=medium

  * add new binary packages: signapk and signtos
  * remove unnecessary linked libs from ziptime

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 10 Oct 2016 19:37:55 +0200
