=== debian/changelog ===
android-platform-build (1:7.0.0+r33-1) unstable; urgency=medium

  * New upstream release

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 26 Apr 2017 19:41:04 +0200
