=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
            Hans-Christoph Steiner <hans@eds.org>,
            Chirayu Desai <chirayudesai1@gmail.com>
 Build-Depends: debhelper (>= 10),
-               android-libandroidfw-dev (>= 1:7.0.0+r1) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
-               android-liblog-dev (>= 1:7.0.0+r1) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
-               android-libutils-dev (>= 1:7.0.0+r1) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
+               android-libandroidfw-dev (>= 1:7.0.0+r33~) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
+               android-liblog-dev (>= 1:7.0.0+r33~) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
+               android-libutils-dev (>= 1:7.0.0+r33~) [amd64 i386 armel armhf arm64 mips mipsel mips64el],
                default-jdk-headless | default-jdk,
                javahelper,
                libbcprov-java,
